Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Create a new memory store to persist context across AI agent sessions. Configure storage settings for long-term memory and conversation recall.
curl --request POST \
--url https://api.orq.ai/v2/memory-stores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"embedding_config": {
"model": "<string>"
},
"description": "<string>",
"path": "Default",
"ttl": 123
}
'{
"_id": "<string>",
"key": "<string>",
"description": "<string>",
"created": "<string>",
"updated": "<string>",
"embedding_config": {
"model": "<string>"
},
"created_by_id": "<string>",
"updated_by_id": "<string>",
"ttl": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique key of the memory store. The key is unique and inmmutable and cannot be repeated within the same workspace.
1 - 255^[A-Za-z]([A-Za-z0-9]*([._][A-Za-z0-9]+)*)?$Show child attributes
The description of the memory store. Be as precise as possible to help the AI to understand the purpose of the memory store.
Entity storage path in the format: project/folder/subfolder/...
The first element identifies the project, followed by nested folders (auto-created as needed).
With project-based API keys, the first element is treated as a folder name, as the project is predetermined by the API key.
"Default"
The default time to live of every memory document created within the memory store. Useful to control if the documents in the memory should be store for short or long term.
Memory store successfully created with the specified configuration.
The unique identifier of the memory store
The unique key of the memory store. The key is unique and inmmutable and cannot be repeated within the same workspace.
1 - 255^[A-Za-z]([A-Za-z0-9]*([._][A-Za-z0-9]+)*)?$The description of the memory store. Be as precise as possible to help the AI to understand the purpose of the memory store.
The creation date of the memory store
The last update date of the memory store
Show child attributes
The user ID of the creator
The user ID of the last updater
The default time to live of every memory document created within the memory store. Useful to control if the documents in the memory should be store for short or long term.
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/memory-stores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"embedding_config": {
"model": "<string>"
},
"description": "<string>",
"path": "Default",
"ttl": 123
}
'{
"_id": "<string>",
"key": "<string>",
"description": "<string>",
"created": "<string>",
"updated": "<string>",
"embedding_config": {
"model": "<string>"
},
"created_by_id": "<string>",
"updated_by_id": "<string>",
"ttl": 123
}